Package com.sas.lsaf.workflow.task

## Enum Task.Priority

- java.lang.Object
- - java.lang.Enum<Task.Priority>
  - - com.sas.lsaf.workflow.task.Task.Priority

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Task.Priority>`
  Enclosing class:
    Task

      public static enum Task.Priority
      extends java.lang.Enum<Task.Priority>

  The valid values for the priorities of a task.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALERT` | Alert priority.
    `HIGH` | High priority.
    `LOW` | Low priority.
    `MEDIUM` | Medium priority.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Task.Priority` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Task.Priority[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALERT

          public static final Task.Priority ALERT

      Alert priority.

    - #### HIGH

          public static final Task.Priority HIGH

      High priority.

    - #### MEDIUM

          public static final Task.Priority MEDIUM

      Medium priority.

    - #### LOW

          public static final Task.Priority LOW

      Low priority.

  - ### Method Detail

    - #### values

          public static Task.Priority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Task.Priority c : Task.Priority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Task.Priority valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null